import request from '@/utils/request'

// 查询指定衣服折扣活动明细列表
export function listActivityClothItem(query) {
  return request({
    url: '/mapi/activity/clothItem/list',
    method: 'get',
    params: query
  })
}

// 查询指定衣服折扣活动明细详细
export function getActivityClothItem(id) {
  return request({
    url: '/mapi/activity/clothItem/' + id,
    method: 'get'
  })
}

// 新增指定衣服折扣活动明细
export function addActivityClothItem(data) {
  return request({
    url: '/mapi/activity/clothItem',
    method: 'post',
    data: data
  })
}

// 修改指定衣服折扣活动明细
export function updateActivityClothItem(data) {
  return request({
    url: '/mapi/activity/clothItem',
    method: 'put',
    data: data
  })
}

// 删除指定衣服折扣活动明细
export function delActivityClothItem(id) {
  return request({
    url: '/mapi/activity/clothItem/' + id,
    method: 'delete'
  })
}


// 修改指定衣服折扣活动明细状态
export function updateActivityClothItemStatus(id,status) {
  const data = {
    id,
    status
  }
  return request({
    url: '/mapi/activity/clothItem/updateStatus',
    method: 'post',
    data: data
  })
}
